import { ViewStyle } from 'react-native';
import { BeaconInfo, NotifcationInfo, JarvisServiceStatus, InitSipAppResult, SipCallState, SipRegistrationState } from './types';
import React from 'react';
declare const startScanService: (sdkKey: string, locatingRange: number, notificationIconName: string, notificationTitle: string, notificationDescription: string, onProximityPush: (device: BeaconInfo, notification: NotifcationInfo, time: string) => void) => Promise<boolean>;
declare const stopScanService: () => Promise<void>;
declare const getServiceStatus: () => Promise<JarvisServiceStatus>;
declare const startLocatingService: (sdkKey: string, locatingRange: number, notificationIconName: string, notificationTitle: string, notificationDescription: string, onGpsFound: (device: BeaconInfo, userId: string, lat: string, lng: string, time: string) => void) => Promise<boolean>;
declare const stopLocatingService: () => Promise<void>;
declare const initSipApplication: (username: string, password: string, onAccountRegistrationStateChange: (state: SipRegistrationState) => void, onCallStateChange: (state: SipCallState, remoteAddress: string) => void) => Promise<InitSipAppResult>;
declare const stopSipApplication: () => void;
declare const answerIncomingCall: () => void;
declare const rejectIncomingCall: () => void;
declare const toggleMute: () => void;
declare const toggleSpeaker: () => void;
declare const toggleVideo: () => void;
declare const toggleCamera: () => void;
declare const SipVideoCallPreview: React.FC<{
    style?: ViewStyle;
}>;
export { startScanService, stopScanService, getServiceStatus, startLocatingService, stopLocatingService, initSipApplication, stopSipApplication, answerIncomingCall, rejectIncomingCall, toggleMute, toggleSpeaker, toggleVideo, toggleCamera, BeaconInfo, NotifcationInfo, SipVideoCallPreview, SipCallState, SipRegistrationState, };
