interface BeaconInfo {
    uuid: string;
    minor: number;
    major: number;
}
interface NotifcationInfo {
    title: string;
    description: string;
}
declare type ServiceBeaconInfo = {
    uuid: string;
    major: number;
    minor: number;
    distance: number;
    lastSignalTime: number;
};
declare type JarvisServiceStatus = {
    lastDetectedSignalDateTime: number;
    serviceRunning: boolean;
    beacons: ServiceBeaconInfo[];
};
declare type InitSipAppResult = {
    success: boolean;
    errorCode: number;
};
declare enum SipRegistrationState {
    None = 0,
    Progress = 1,
    Ok = 2,
    Cleared = 3,
    Failed = 4
}
declare enum SipCallState {
    Idle = 0,
    IncomingReceived = 1,
    PushIncomingReceived = 2,
    OutgoingInit = 3,
    OutgoingProgress = 4,
    OutgoingRinging = 5,
    OutgoingEarlyMedia = 6,
    Connected = 7,
    StreamsRunning = 8,
    Pausing = 9,
    Paused = 10,
    Resuming = 11,
    Referred = 12,
    Error = 13,
    End = 14,
    PausedByRemote = 15,
    UpdatedByRemote = 16,
    IncomingEarlyMedia = 17,
    Updating = 18,
    Released = 19,
    EarlyUpdatedByRemote = 20,
    EarlyUpdating = 21
}
export { BeaconInfo, NotifcationInfo, JarvisServiceStatus, InitSipAppResult, SipRegistrationState, SipCallState, };
